Subject: Re: Minor bug and a question
From: [email-masked] (Larry Hall)

11 Feb 1997 17:23:15 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
X-Sender: [email-masked]
X-Mailer: Windows Eudora Pro Version 2.2 (32)
Original-To: Jim Balter <[email-masked]>, [email-masked]
Original-Cc: [email-masked]
Original-Sender: [email-masked]

At 09:05 PM 2/10/97 -0800, Jim Balter wrote:
>Chris Cowan wrote:
>> 
>> First the bug:
>> 
>> I successfully built bison 1.25 and flex 2.5.4 with b17.1.  I did
>> encounter one minor annoyance.  When I did a "make install", it bombed
>> because install.exe was unable to find the binaries with the *.exe
>> suffix.
>> 
>> Presently, it appears that the gcc/g++ and the interactive shell do a
>> little magic so that bison and bison.exe (for example) are the same
>> executable.  However, it seems to me that it would be better to
>> actually make a hard link between the two file names, than try to
>> recognize the "context" where it would be used.
>
>What's a hard link? :-)  The only hard links in the MS world
>are the ones on NTFS produced by programs running in the Windows NT
>POSIX subsystem.  (Aside from this being NTFS and Windows NT specific,
>the POSIX subsystem has no access to Win32 facilities, so it isn't
>relevant to GNU-win32.)
>

Actually, this is not correct.  It is possible to create a hard link 
using BackupWrite() from win32.  A (much) earlier post had code, from MS
I believe, which demonstrated this functionality.  I have not tried it 
myself.  If you missed the post and are interested, let me know and I can
send it on to you.  However, in reference to the original comment, there
are facilities in win32 to support hard links. 

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".